﻿@model IEnumerable<LearnMVC.Models.FormationAvecAvisDto>

@{
    ViewBag.Title = "Liste des formations";
}

<h2>Liste des formations</h2>

@Html.ActionLink("Nouveau", "Create", null, new { @class = "btn btn-outline-success" })

@*<table class="table table-striped table-dark">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">NomSeo</th>
            <th scope="col">Nom</th>
            <th scope="col">Url</th>
            <th scope="col">Actions</th>
        </tr>
    </thead>
    <tbody>
        @foreach (CoreData.Formation formation in Model)
        {
            <tr>
                <th scope="row">@formation.Id</th>
                <td>@formation.NomSeo</td>
                <td>@formation.Nom</td>
                <td>@formation.Url</td>
                <td>
                    @Html.ActionLink("Détail", "Details", new { id = formation.Id })
                    @if (User.IsInRole("Admin") || User.IsInRole("Commercial"))
                    {
                        @Html.ActionLink("Modifier", "Edit", new { id = formation.Id })
                        @Html.ActionLink("Supprimer", "Delete", new { id = formation.Id })
                    }
                </td>
            </tr>
        }
    </tbody>
</table>*@

<div class="container containerHome">

    @foreach (LearnMVC.Models.FormationAvecAvisDto dto in Model)
    {
        <article class="info-block col-md-3 col-sm-6">
            <h4>
                @Html.ActionLink(dto.Formation.Nom, "Details", "Formation", new { id = dto.Formation.Id }, new { @class = "lien-formation" })
            </h4>
            <p>
                @if (dto.Note == 0)
                {
                    <span>Aucun Avis</span>
                }
                else
                {
                    for (int i = 0; i < dto.Note; i++)
                    {
                        <i class="fas fa-star"></i>
                    }
                    <span>@dto.Note / 5</span>
                }
            </p>
            <p>@dto.Formation.Description</p>

            <a href="@Url.Action("AddToCart", "Cart", new { formationId = dto.Formation.Id})">
                @{
                    var checkIfExist = ((IEnumerable<CoreData.Formation>)Session["formations"]).FirstOrDefault(f => f.Id == dto.Formation.Id) == null;
                }
                <div style="text-align: center; padding-top:5px ;position:absolute; top:192px; left:0px; width : 100%; height : 30px; background-color : @(checkIfExist.Equals(true) ? "orange" : "navajowhite"); border-bottom-right-radius: 4px;border-bottom-left-radius: 4px;">
                    <i class="fas fa-shopping-cart" style="color : @(checkIfExist.Equals(true) ? "cadetblue" : "orange");"></i>
                </div>
            </a>
        </article>
    }
</div>

